<!-- <app-catalogue-sub-toolbar></app-catalogue-sub-toolbar> -->
<mat-toolbar class="nn-title">
  <span style="margin-left: 15px;"><h1 class="mat-h1">Network Service Descriptors</h1></span>
</mat-toolbar>
<div style="padding: 30px;" class="nn-container" >
  <div fxFlex="100%" fxLayout.xs="column" fxLayout="column" fxLayoutAlign="center center" style="width: 100%">
    <table mat-table class="nn-table full-width-table" matSort aria-label="Elements" height="100%">
    <!-- Name Column -->
    <ng-container matColumnDef="name">
      <th fxShow.xs="false" fxShow.sm="false" mat-header-cell *matHeaderCellDef mat-sort-header>Name</th>
      <td fxShow.xs="false" fxShow.sm="false" mat-cell *matCellDef="let row"><b>{{row.nsdName}}</b></td>
    </ng-container>

    <!-- Version Column -->
    <ng-container matColumnDef="version">
      <th fxShow.xs="false" mat-header-cell *matHeaderCellDef mat-sort-header>Version</th>
      <td fxShow.xs="false" mat-cell *matCellDef="let row"><b>{{row.nsdVersion}}</b></td>
    </ng-container>

    <!-- Provider Column -->
    <ng-container matColumnDef="provider">
      <th  mat-header-cell *matHeaderCellDef mat-sort-header>Provider</th>
      <td  mat-cell *matCellDef="let row"><b>{{row.nsdDesigner}}</b></td>
    </ng-container>

    <!-- Operational State Column -->
    <ng-container matColumnDef="opstate">
      <th  mat-header-cell *matHeaderCellDef mat-sort-header>Operational State</th>
      <td  mat-cell *matCellDef="let row"><b>{{row.nsdOperationalState}}</b></td>
    </ng-container>

    <!-- Onboarding State Column -->
    <ng-container matColumnDef="onstate">
      <th fxShow.xs="false" mat-header-cell *matHeaderCellDef>Onboarding State</th>
      <td fxShow.xs="false" mat-cell *matCellDef="let row"><b>{{row.nsdOnboardingState}}</b></td>
    </ng-container>

    <!-- Onboarding States Column -->
    <ng-container matColumnDef="onstates">
      <th fxShow.xs="false" mat-header-cell *matHeaderCellDef>MANO Onboarding State</th>
      <td fxShow.xs="false" mat-cell *matCellDef="let row">
        <tr *ngFor="let mano of row.manosOnboardingStatus | keyvalue" style="margin-left: 2%;">{{mano.key}} -> {{mano.value}}</tr>
      </td>
    </ng-container>

    <!-- Button Column -->
    <ng-container matColumnDef="buttons">
      <th mat-header-cell *matHeaderCellDef></th>
      <td mat-cell *matCellDef="let row">
        <mat-button-toggle-group name="operations" aria-label="Operations" class="margin-all">
          <mat-button-toggle class="nv-title" value="view_descriptor" (click)="viewNsDescriptor(row.id)"><mat-icon>description</mat-icon></mat-button-toggle>
          <mat-button-toggle class="nv-title" value="view_descriptor_graph" (click)="viewNsGraph(row.id)"><mat-icon>device_hub</mat-icon></mat-button-toggle>
        </mat-button-toggle-group>
      </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  </table>

  <mat-paginator #paginator style="width: 100%" fxFlex="100%" fxLayout.xs="row" fxLayout="column" fxLayoutAlign="center center"
      [length]="dataSource?.data.length"
      [pageIndex]="0"
      [pageSize]="50"
      [pageSizeOptions]="[25, 50, 100, 250]"
      class="nn-table paginator-xs">
  </mat-paginator>
</div>
</div>
